<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:android="http://schemas.android.com/apk/res/android">
    <data/>
    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#000000"
            android:keepScreenOn="true"
            >
            <TextView
                android:layout_margin="5dp"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:id="@+id/permission_info"
                android:textColor="@color/white"
                android:text="@string/permissions"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                android:gravity="center"
                />
            <TextView
                android:layout_margin="5dp"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:id="@+id/goto_permission"
                android:text="@string/goto_permissions"
                app:layout_constraintTop_toBottomOf="@id/permission_info"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                android:gravity="center"
                android:textColor="@color/colorPrimary"
                />
            <com.pedro.rtplibrary.view.OpenGlView
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:id="@+id/surfaceView"
                app:keepAspectRatio="true"
                app:aspectRatioMode="adjust_rotate"
                app:AAEnabled="false"
                app:numFilters="1"
                app:isFlipHorizontal="false"
                app:isFlipVertical="false"
                app:layout_constraintTop_toBottomOf="@id/mute_micro"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                android:layout_marginTop="15dp"
                />
            <ImageView
                android:layout_marginTop="15dp"
                android:id="@+id/rotation"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintEnd_toStartOf="@id/flash"
                app:layout_constraintStart_toStartOf="parent"
                app:srcCompat="@drawable/baseline_screen_rotation_24"
                app:tint="@color/white" />
            <ImageView
                android:layout_marginTop="15dp"
                android:id="@+id/flash"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintEnd_toStartOf="@id/mute_micro"
                app:layout_constraintStart_toEndOf="@id/rotation"
                app:srcCompat="@drawable/baseline_flash_off_24"
                app:tint="@color/white" />
            <ImageView
                android:layout_marginTop="15dp"
                android:id="@+id/mute_micro"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintStart_toEndOf="@id/flash"
                app:layout_constraintEnd_toStartOf="@id/switch_camera"
                app:srcCompat="@drawable/baseline_volume_up_24"
                app:tint="@color/white" />
            <ImageView
                android:layout_marginTop="15dp"
                android:id="@+id/switch_camera"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:srcCompat="@drawable/baseline_cameraswitch_24"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintStart_toEndOf="@id/mute_micro"
                app:layout_constraintEnd_toEndOf="parent"
                app:tint="@color/white" />
        </androidx.constraintlayout.widget.ConstraintLayout>
        <com.google.android.material.floatingactionbutton.FloatingActionButton
            android:id="@+id/stop"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center|bottom"
            app:srcCompat="@drawable/baseline_stop_24"
            android:layout_marginBottom="15dp"/>
    </androidx.coordinatorlayout.widget.CoordinatorLayout>

</layout>
